Subject: Re: My 1/48 Hasegawa Hurricane- Hope I did this correctly, Steve!
From: "Steve Bamford ARC" <[email-masked]>
To: "Jamie Cheslo" <[email-masked]>
Date: Tue, 30 Sep 2003 10:43:32 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

  ----- Original Message ----- 
  From: Jamie Cheslo 
  To: [email-masked] 
  Sent: Sunday, September 14, 2003 12:14 PM
  Subject: My 1/48 Hasegawa Hurricane- Hope I did this correctly, Steve!

  Gallery Template #07

  "1/48 Hasegawa Hurricane Mk. IIc" 

  by "Jamie Cheslo"
  --------------------

        Steve Bamford will insert full sized version of photo 01.jpg here 

  This is my 1/48 Hasegawa Hurricane MkIIc, "The Last of the Many" I apologize for the quality of the pics, but this is my first time using a digital camera....  It was built straight out of the box with the exception of Eduard photo-etched seatbelts, and brake cables, which were made from dental floss!  Antenna wire was 2lb test monofilament fishing line. Paints were Tamiya acrylics and decals were those of the kit.  

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 03.jpg here.  Clicking on that photo will bring up the full sized version of photo 03.jpg 

        Steve Bamford will insert a click-able smaller version of photo 04.jpg here.  Clicking on that photo will bring up the full sized version of photo 04.jpg 

  All in all, this was a nice kit to build, with not much puttying and sanding necessary. I simply cannot understand, however, why Hasegawa would only provide you with a closed canopy for such an exquisitely detailed cockpit! My solution was simply not to glue the canopy on. I think I spent the most amount of time on this kit with the cockpit. It was just that beautiful not to take real care with it.  Weathering was a mix of a chalk-pastel sludge wash and chalk pastel powder rubbed on the surface, then sealed in with a flat coat.  I experimented a bit with paint chipping and wear on the undercarriage, and generally liked the way it turned out.

        Steve Bamford will insert full sized version of photo 02.jpg here 

  I just want to thank the experienced folks here who help me on a regular basis, especially with my airbrush woes with this kit. Without you guys, I don't think my skills would improve. Cheers and happy modeling, everyone!

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 05.jpg here.  Clicking on that photo will bring up the full sized version of photo 05.jpg 

       Steve Bamford will insert a click-able smaller version of photo 06.jpg here.  Clicking on that photo will bring up the full sized version of photo 06.jpg 

       Steve Bamford will insert a click-able smaller version of photo 07.jpg here.  Clicking on that photo will bring up the full sized version of photo 07.jpg 

  Photos and text © 2003 by Jamie and Frances Cheslo